/// These Voice Ids match to the AWS Polly Voice Ids.
///
/// Voices in Amazon Polly: https://docs.aws.amazon.com/polly/latest/dg/voicelist.html
///
/// Updated documentation on 3/19/22.
///
enum AWSPolyVoiceId {
  /// Language: `English (Indian) (en-IN)`
  /// Name: `Aditi`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  aditi,

  /// Language: `English (British) (en-GB)`
  /// Name: `Amy`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  amy,

  /// Language: `Swedish (sv-SE)`
  /// Name: `Astrid`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  astrid,

  /// Language: `Italian (it-IT)`
  /// Name: `Bianca`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  bianca,

  /// Language: `English (British) (en-GB)`
  /// Name: `Brian`
  /// Gender: `Male`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  brian,

  /// Language: `Portuguese (Brazilian) (pt-BR)`
  /// Name: `Camila`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  camila,

  /// Language: `Italian (it-IT)`
  /// Name: `Carla`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  carla,

  /// Language: `Romanian (ro-RO)`
  /// Name: `Carmen`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  carmen,

  /// Language: `French (fr-FR)`
  /// Name: `Celine`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  celine,

  /// Language: `French (Canadian) (fr-CA)`
  /// Name: `Chantal`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  chantal,

  /// Language: `Spanish (European) (es-ES)`
  /// Name: `Conchita`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  conchita,

  /// Language: `Portuguese (European) (pt-PT)`
  /// Name: `Christiano`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  cristiano,

  /// Language: `Icelandic (is-IS)`
  /// Name: `Dora`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  dora,

  /// Language: `English (British) (en-GB)`
  /// Name: `Emma`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  emma,

  /// Language: `Spanish (European) (es-ES)`
  /// Name: `Enrique`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  enrique,

  /// Language: `Polish (pl-PL)`
  /// Name: `Ewa`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  ewa,

  /// Language: `Turkish (tr-TR)`
  /// Name: `Filiz`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  filiz,

  /// Language: `French (Canadian) (fr-CA)`
  /// Name: `Gabrielle`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `No`
  ///
  gabrielle,

  /// Language: `English (Welsh) (en-GB-WLS)`
  /// Name: `Geraint`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  geraint,

  /// Language: `Italian (it-IT)`
  /// Name: `Giorgio`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  giorgio,

  /// Language: `Welsh (cy-GB)`
  /// Name: `Gwyneth`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  gwyneth,

  /// Language: `German (de-DE)`
  /// Name: `Hans`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  hans,

  /// Language: `Portuguese (European) (pt-PT)`
  /// Name: `Ines`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  ines,

  /// Language: `English (US) (en-US)`
  /// Name: `Ivy`
  /// Gender: `Female (child)`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  ivy,

  /// Language: `Polish (pl-PL)`
  /// Name: `Jacek`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  jacek,

  /// Language: `Polish (pl-PL)`
  /// Name: `Jan`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  jan,

  /// Language: `English (US) (en-US)`
  /// Name: `Joanna`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  joanna,

  /// Language: `English (US) (en-US)`
  /// Name: `Joey`
  /// Gender: `Male`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  joey,

  /// Language: `English (US) (en-US)`
  /// Name: `Justin`
  /// Gender: `Male (child)`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  justin,

  /// Language: `Icelandic (is-IS)`
  /// Name: `Karl`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  karl,

  /// Language: `English (US) (en-US)`
  /// Name: `Kendra`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  kendra,

  /// Language: `English (US) (en-US)`
  /// Name: `Kevin`
  /// Gender: `Male (child)`
  /// Neural Voice: `Yes`
  /// Standard Voice: `No`
  ///
  kevin,

  /// Language: `English (US) (en-US)`
  /// Name: `Kimberly`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  kimberly,

  /// Language: `French (fr-FR)`
  /// Name: `Lea`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  lea,

  /// Language: `Norwegian (nb-NO)`
  /// Name: `Liv`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  liv,

  lotte,

  lucia,

  lupe,

  mads,

  maja,

  marlene,

  mathieu,

  /// Language: `English (US) (en-US)`
  /// Name: `Matthew`
  /// Gender: `Male`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  matthew,

  maxim,

  mia,

  miguel,

  mizuki,

  naja,

  /// Language: `English (Australian) (en-AU)`
  /// Name: `Nicole`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  nicole,

  /// Language: `English (Australian) (en-AU)`
  /// Name: `Olivia`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `No`
  ///
  olivia,

  penelope,

  /// Language: `English (Indian) (en-IN)`
  /// Name: `Reveena`
  /// Gender: `Female`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  raveena,

  ricardo,

  ruben,

  /// Language: `English (Australian) (en-AU)`
  /// Name: `Russell`
  /// Gender: `Male`
  /// Neural Voice: `No`
  /// Standard Voice: `Yes`
  ///
  russell,

  /// Language: `English (US) (en-US)`
  /// Name: `Salli`
  /// Gender: `Female`
  /// Neural Voice: `Yes`
  /// Standard Voice: `Yes`
  ///
  salli,

  seoyeon,

  takumi,

  tatyana,

  vicki,

  vitoria,

  zeina,

  zhiyu,

  aria,

  ayanda
}

/// Extension for `AWSPolyVoiceId` to add helpers.
extension AWSPolyVoiceIdExtension on AWSPolyVoiceId {
  /// Return a string for the given AWSPollyVoiceId.
  String get string => this.toString().split('.').last;
}
